Subject: Re: Git in Outreachy December 2019?

From: Junio C Hamano <[email-masked]>
Date: Sat, 28 Sep 2019 13:01:03 +0900

Eric Wong <[email-masked]> writes:

> C is fine for unit tests, and maybe we can use more unit tests
> and less integration tests.

Nicely put.  I often find it somewhat disturbing that what some of
the t/helper/ tests are trying to exercise is at too low a level
that the distance from the real-world observable effect is too many
hops detached.  For unit tests (of an API, for example), that is
exactly what we want.  For a test of an entire command, it feels
like scratching foot from outside while still wearing a shoe.

> I hope to find time to hack some more batch/eval-friendly stuff
> that can make scripting git more performant; but no idea on my
> availability :<